EFETCH(1)

NAME
efetch, esummary - retrieve results from an NCBI Entrez search

SYNOPSIS
efetch [-help] [-format fmt] [-mode mode] [-style style] [-db name] [-id ID] [-input filename] [-seq_start N] [-seq_stop N] [-strand N] [-forward] [-revcomp] [-chr_start N] [-chr_stop N] [-complexity N] [-extend N] [-extrafeat N] [-showgaps] [-start N] [-stop N] [-raw] [-express] [-immediate] [-json]

esummary [-help] [-mode mode] [-db name] [-id ID] [-input filename] [-raw]

DESCRIPTION
efetch and esummary retrieve results from either an Entrez Direct pipeline or an immediate lookup (via -db and -id or -input). esummary is equivalent to efetch -format docsum.

efetch is also the name of an AceDB tool for consulting local sequence databases. To resolve this ambiguity, Debian systems with both AceDB tools and Entrez Direct installed arrange for AceDB's executable to have the name efetch.acedb(1) and for efetch to be a wrapper script that examines its usage and proceeds to run whichever of efetch.acedb(1) or efetch.ncbi looks like a better fit.

OPTIONS

  Format Selection

-format fmt
    Format of record or report. (See -help output for examples.)

-mode mode
    text, xml, asn, binary, or json.

-style style
    master or conwithfeat.

  Direct Record Selection

-db name
    Entrez database name for immediate lookups.

-id ID
    Unique identifier or accession for immediate lookups.

-input filename
    Read identifer(s) from file instead of standard input.

  Sequence Range

-seq_start N
    First sequence position to retrieve (1-based).

-seq_stop N
    Last sequence position to retrieve (1-based).

-strand N
    Strand of DNA to retrieve: 1 for forward (plus), 2 for reverse complement (minus).

-forward
    Shortcut for -strand 1.

-revcomp
    Shortcut for -strand 2.

  Gene Range

-chr_start N
    First sequence position to retrieve (0-based).

-chr_stop N
    Last sequence position to retrieve (0-based).

  Sequence Flags

-complexity N
    How much context to fetch:
    0   default
    1   Bioseq
    3   Nuc-prot set

-extend N
    Extend sequence retrieval by N residues in both directions.

-extrafeat N
    Bit flag specifying extra features.

-showgaps
    Propagate component gaps.

  Subset Retrieval

-start N
    First record to fetch.

-stop N
    Last record to fetch.

  Miscellaneous

-raw
    Skip database-specific XML modifications.

-express
    Direct sequence retrieval in groups of five.

-immediate
    Express mode on a single record at a time.

-json
    Convert adjusted XML output to JSON.

-help
    Print usage information, complete with examples of notable -db/-format/-mode combinations (in the case of efetch) and of supplying accessions in the -id field (in the case of esummary).

SEE ALSO
bsmp2info(1), combine-uid-lists(1), difference-uid-lists(1), ds2pme(1), ecollect(1), efetch.acedb(1), elink(1), esample(1), esearch(1), exclude-uid-lists(1), gbf2facds(1), gbf2fsa(1), gbf2info(1), gbf2tbl(1), hgvs2spdi(1), intersect-uid-lists(1), nquire(1), pm-refresh(1), pma2apa(1), pma2pme(1), pmc2bioc(1), pmc2info(1), run-ncbi-converter(1), snp2hgvs(1), snp2tbl(1), spdi2tbl(1), transmute(1), xfetch(1), xinfo(1), xlink(1), xml2fsa(1), xml2tbl(1), xsearch(1), xtract(1).